TF_VerifierImpl< SCHEME_OPTIONS > Class Template Reference

_ More...

Inheritance diagram for TF_VerifierImpl< SCHEME_OPTIONS >:

## Additional Inherited Members

Public Types inherited from TF_ObjectImpl< TF_VerifierBase, SCHEME_OPTIONS, SCHEME_OPTIONS::PublicKey >
typedef SCHEME_OPTIONS::PublicKey | KeyClass
Public Types inherited from TF_ObjectImplBase< TF_VerifierBase, SCHEME_OPTIONS, SCHEME_OPTIONS::PublicKey >
typedef SCHEME_OPTIONS | SchemeOptions
typedef SCHEME_OPTIONS::PublicKey | KeyClass
Public Member Functions inherited from TF_ObjectImpl< TF_VerifierBase, SCHEME_OPTIONS, SCHEME_OPTIONS::PublicKey >
const KeyClass & | GetKey () const
KeyClass & | AccessKey ()
Public Member Functions inherited from TF_ObjectImplBase< TF_VerifierBase, SCHEME_OPTIONS, SCHEME_OPTIONS::PublicKey >
PublicKey & | AccessPublicKey ()
const PublicKey & | GetPublicKey () const
PrivateKey & | AccessPrivateKey ()
const PrivateKey & | GetPrivateKey () const
const KeyClass & | GetTrapdoorFunction () const
PK_MessageAccumulator * | NewSignatureAccumulator (RandomNumberGenerator &rng) const
PK_MessageAccumulator * | NewVerificationAccumulator () const
Public Member Functions inherited from AlgorithmImpl< TF_VerifierBase, SCHEME_OPTIONS::AlgorithmInfo >
std::string | AlgorithmName () const
Public Member Functions inherited from TF_VerifierBase
void | InputSignature (PK_MessageAccumulator &messageAccumulator, const byte *signature, size_t signatureLength) const
| Input signature into a message accumulator. More...
bool | VerifyAndRestart (PK_MessageAccumulator &messageAccumulator) const
| Check whether messageAccumulator contains a valid signature and message, and restart messageAccumulator. More...
DecodingResult | RecoverAndRestart (byte *recoveredMessage, PK_MessageAccumulator &recoveryAccumulator) const
| Recover a message from its signature. More...
Public Member Functions inherited from TF_SignatureSchemeBase< PK_Verifier, TF_Base< TrapdoorFunction, PK_SignatureMessageEncodingMethod > >
size_t | SignatureLength () const
size_t | MaxRecoverableLength () const
size_t | MaxRecoverableLengthFromSignatureLength (size_t signatureLength) const
bool | IsProbabilistic () const
bool | AllowNonrecoverablePart () const
bool | RecoverablePartFirst () const
Public Member Functions inherited from PK_Verifier
virtual PK_MessageAccumulator * | NewVerificationAccumulator () const =0
| Create a new HashTransformation to accumulate the message to be verified. More...
virtual bool | Verify (PK_MessageAccumulator *messageAccumulator) const
| Check whether messageAccumulator contains a valid signature and message. More...
virtual bool | VerifyMessage (const byte *message, size_t messageLen, const byte *signature, size_t signatureLen) const
| Check whether input signature is a valid signature for input message. More...
virtual DecodingResult | Recover (byte *recoveredMessage, PK_MessageAccumulator *messageAccumulator) const
| Recover a message from its signature. More...
virtual DecodingResult | RecoverMessage (byte *recoveredMessage, const byte *nonrecoverableMessage, size_t nonrecoverableMessageLength, const byte *signature, size_t signatureLength) const
| Recover a message from its signature. More...
Public Member Functions inherited from PK_SignatureScheme
virtual size_t | SignatureLength () const =0
| Provides the signature length if it only depends on the key. More...
virtual size_t | MaxSignatureLength (size_t recoverablePartLength=0) const
| Provides the maximum signature length produced given the length of the recoverable message part. More...
virtual size_t | MaxRecoverableLength () const =0
| Provides the length of longest message that can be recovered. More...
virtual bool | IsProbabilistic () const =0
| Determines whether a signature scheme requires a random number generator. More...
virtual bool | AllowNonrecoverablePart () const =0
| Determines whether the non-recoverable message part can be signed. More...
virtual bool | SignatureUpfront () const
| Determines whether the signature must be input before the message. More...
virtual bool | RecoverablePartFirst () const =0
| Determines whether the recoverable part must be input before the non-recoverable part. More...
Public Member Functions inherited from PublicKeyAlgorithm
CryptoMaterial & | AccessMaterial ()
| Retrieves a reference to a Public Key. More...
const CryptoMaterial & | GetMaterial () const
| Retrieves a reference to a Public Key. More...
virtual const PublicKey & | GetPublicKey () const
| Retrieves a reference to a Public Key. More...
Public Member Functions inherited from AsymmetricAlgorithm
void | BERDecode (BufferedTransformation &bt)
| Loads this object from a BufferedTransformation. More...
void | DEREncode (BufferedTransformation &bt) const
| Saves this object to a BufferedTransformation. More...
Public Member Functions inherited from Algorithm
| Algorithm (bool checkSelfTestStatus=true)
| Interface for all crypto algorithms. More...
virtual std::string | AlgorithmName () const
| Provides the name of this algorithm. More...
Public Member Functions inherited from Clonable
virtual Clonable * | Clone () const
| Copies this object. More...
Static Public Member Functions inherited from AlgorithmImpl< TF_VerifierBase, SCHEME_OPTIONS::AlgorithmInfo >
static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class SCHEME_OPTIONS>
class TF_VerifierImpl< SCHEME_OPTIONS >

_

Definition at line 674 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h